package com.zt.plat.module.erp.dal.mysql.erp;

import com.zt.plat.framework.common.pojo.PageResult;
import com.zt.plat.framework.mybatis.core.mapper.BaseMapperX;
import com.zt.plat.framework.mybatis.core.query.LambdaQueryWrapperX;
import com.zt.plat.module.erp.controller.admin.erp.vo.ErpCompanyPageReqVO;
import com.zt.plat.module.erp.dal.dataobject.erp.ErpCompanyDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * ERP公司 Mapper
 *
 * @author 后台管理
 */
@Mapper
public interface ErpCompanyMapper extends BaseMapperX<ErpCompanyDO> {

    default PageResult<ErpCompanyDO> selectPage(ErpCompanyPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<ErpCompanyDO>()
                .likeIfPresent(ErpCompanyDO::getName, reqVO.getName())
                .likeIfPresent(ErpCompanyDO::getNumber, reqVO.getNumber())
                .eqIfPresent(ErpCompanyDO::getCurrency, reqVO.getCurrency())
                .orderByDesc(ErpCompanyDO::getId));
    }

}